Bug 472622 - Conflict with ruby-sqlite3
Conflict with ruby-sqlite3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rubygem-sqlite3-ruby (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
: 484870 (view as bug list)
Depends On: 472621
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-21 21:02 EST by Michael Schwendt
Modified: 2009-06-24 15:35 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.2.4-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 15:35:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2008-11-21 21:02:21 EST
rubygem-sqlite3-ruby-1.2.4-1.fc10.i386
  File conflict with: ruby-sqlite3-1.2.1-2.fc9.i386
     /usr/lib/ruby/site_ruby/1.8/i386-linux/sqlite3_api.so
Comment 1 Bug Zapper 2008-11-26 00:46:02 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora Admin XMLRPC Client 2009-03-16 12:55:31 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Michael Schwendt 2009-06-14 14:20:49 EDT
*** Bug 484870 has been marked as a duplicate of this bug. ***
Comment 4 Mamoru TASAKA 2009-06-15 00:47:00 EDT
Jeroen, as the maintainer of both ruby-sqlite3 and rubygem-sqlite3-ruby,
would you fix this issue?
As current ruby guideline says [1], ruby-sqlite3 "srpm" must be retired,
and ruby-sqlite3 binary rpm should be created as the subpackage of
rubygem-sqlite3-ruby.

By the way current ruby guideline says that rubygem srpm must use
rubygem source [2], however current rubygem-sqlite3-ruby srpm is
against this guideline as rubygem-sqlite3-ruby srpm use native
tarball. There are some examples to package rubygem creating 
binary content/shared libraries [3].

[1] https://fedoraproject.org/wiki/Packaging/Ruby#Packaging_for_Gem_and_non-Gem_use
[2] https://fedoraproject.org/wiki/Packaging/Ruby#Ruby_Gems
[3] http://cvs.fedoraproject.org/viewvc/rpms/rubygem-gettext/devel/rubygem-gettext.spec?view=co
Comment 5 Mamoru TASAKA 2009-06-15 12:21:01 EDT
Now ruby-sqlite3 binary rpm is created from rubygem-sqlite3-ruby srpm.

Removing ruby-sqlite3 srpm from rawhide tree requested:
https://fedorahosted.org/rel-eng/ticket/1929
Comment 6 Fedora Update System 2009-06-15 12:33:25 EDT
rubygem-sqlite3-ruby-1.2.4-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-sqlite3-ruby-1.2.4-3.fc11
Comment 7 Fedora Update System 2009-06-15 12:35:19 EDT
rubygem-sqlite3-ruby-1.2.4-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rubygem-sqlite3-ruby-1.2.4-3.fc10
Comment 8 Fedora Update System 2009-06-18 07:47:47 EDT
rubygem-sqlite3-ruby-1.2.4-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-sqlite3-ruby'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6579
Comment 9 Fedora Update System 2009-06-24 15:29:34 EDT
rubygem-sqlite3-ruby-1.2.4-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-06-24 15:34:59 EDT
rubygem-sqlite3-ruby-1.2.4-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.